Folks.Persona.split_uid – folks Reference Manual

# split_uid

## Description:

public static void split_uid (string uid, out string backend_name, out string persona_store_id, out string persona_id)

Split a UID into its component parts.

Each component is unescaped before being returned. The UID must be correctly formed.

## Parameters:

uid | a valid UID
backend_name | the Backend.name
persona_store_id | the PersonaStore.id
persona_id | the Persona identifier (backend-specific)

## Since:

0.1.13

## See also:

Persona.build_uid